Bug 1032774 - [abrt] libreoffice-core-4.1.3.2-4.fc20: sd::ViewShell::GetFrameView: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] libreoffice-core-4.1.3.2-4.fc20: sd::ViewShell::GetFrameView: Process ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:68c2504b19db6bf684d76b7e192...
: 1032734 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-20 19:59 UTC by Mark van Rossum
Modified: 2014-04-29 05:21 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.2.3.3-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-07 06:59:24 UTC


Attachments (Terms of Use)
File: backtrace (66.50 KB, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: build_ids (7.97 KB, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: core_backtrace (47.13 KB, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: dso_list (22.74 KB, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: environ (4.15 KB, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: maps (103.89 KB, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: open_fds (653 bytes, text/plain)
2013-11-20 19:59 UTC, Mark van Rossum
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-11-20 20:00 UTC, Mark van Rossum
no flags Details
File: var_log_messages (359 bytes, text/plain)
2013-11-20 20:00 UTC, Mark van Rossum
no flags Details
crash reproducer (5.73 MB, application/vnd.ms-powerpoint)
2013-11-21 16:41 UTC, Karel Volný
no flags Details

Description Mark van Rossum 2013-11-20 19:59:02 UTC
Description of problem:
Opened ppsx file, that immediately switched to presentation mode.
Exiting presentation with escape led to crash.

Version-Release number of selected component:
libreoffice-core-4.1.3.2-4.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress Writing_a_literature_review-Informatics_version.ppsx --splash-pipe=5
crash_function: sd::ViewShell::GetFrameView
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1005

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sd::ViewShell::GetFrameView at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/view/viewshe2.cxx:694
 #1 sd::SlideShow::StartFullscreenPresentation at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/slideshow/slideshow.cxx:1251
 #2 sd::SlideShow::startWithArguments at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/slideshow/slideshow.cxx:901
 #3 sd::SlideShowRestarter::StartPresentation at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/slideshow/SlideShowRestarter.cxx:137
 #4 operator() at /usr/include/boost/function/function_template.hpp:767
 #5 (anonymous namespace)::CallbackCaller::notifyConfigurationChange at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/framework/tools/FrameworkHelper.cxx:1226
 #6 sd::framework::ConfigurationControllerBroadcaster::NotifyListeners at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/framework/configuration/ConfigurationControllerBroadcaster.cxx:104
 #8 sd::framework::ConfigurationUpdater::UpdateConfiguration at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/framework/configuration/ConfigurationUpdater.cxx:202
 #9 sd::framework::ConfigurationUpdater::RequestUpdate at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/framework/configuration/ConfigurationUpdater.cxx:124
 #10 sd::framework::ChangeRequestQueueProcessor::ProcessOneEvent at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/framework/configuration/ChangeRequestQueueProcessor.cxx:186

Potential duplicate: bug 905533

Comment 1 Mark van Rossum 2013-11-20 19:59:14 UTC
Created attachment 826816 [details]
File: backtrace

Comment 2 Mark van Rossum 2013-11-20 19:59:18 UTC
Created attachment 826817 [details]
File: build_ids

Comment 3 Mark van Rossum 2013-11-20 19:59:21 UTC
Created attachment 826818 [details]
File: cgroup

Comment 4 Mark van Rossum 2013-11-20 19:59:26 UTC
Created attachment 826819 [details]
File: core_backtrace

Comment 5 Mark van Rossum 2013-11-20 19:59:30 UTC
Created attachment 826820 [details]
File: dso_list

Comment 6 Mark van Rossum 2013-11-20 19:59:38 UTC
Created attachment 826821 [details]
File: environ

Comment 7 Mark van Rossum 2013-11-20 19:59:42 UTC
Created attachment 826822 [details]
File: exploitable

Comment 8 Mark van Rossum 2013-11-20 19:59:46 UTC
Created attachment 826823 [details]
File: limits

Comment 9 Mark van Rossum 2013-11-20 19:59:52 UTC
Created attachment 826824 [details]
File: maps

Comment 10 Mark van Rossum 2013-11-20 19:59:56 UTC
Created attachment 826825 [details]
File: open_fds

Comment 11 Mark van Rossum 2013-11-20 20:00:00 UTC
Created attachment 826826 [details]
File: proc_pid_status

Comment 12 Mark van Rossum 2013-11-20 20:00:04 UTC
Created attachment 826827 [details]
File: var_log_messages

Comment 13 Caolan McNamara 2013-11-21 15:22:24 UTC
Do we have an example that reproduces this. I reckon I can put in a fairly blind fix based on the NULL pointer to not crash in this specific place but a reproducer would be better.

Comment 14 Caolan McNamara 2013-11-21 15:38:21 UTC
committed http://cgit.freedesktop.org/libreoffice/core/commit/?id=5620f5ba2fa123f029ac449f69a89ffc5703c71e upstream in the interim

Comment 15 Caolan McNamara 2013-11-21 15:40:46 UTC
*** Bug 1032734 has been marked as a duplicate of this bug. ***

Comment 16 Karel Volný 2013-11-21 16:41:33 UTC
Created attachment 827360 [details]
crash reproducer

this file crashes loimpress reproducibly

but in my case, simply closing the presentation is not enough, it crashes on switching screens

Comment 17 Mark van Rossum 2013-11-21 16:49:08 UTC
(In reply to Caolan McNamara from comment #13)
> Do we have an example that reproduces this. I reckon I can put in a fairly
> blind fix based on the NULL pointer to not crash in this specific place but
> a reproducer would be better.

I can send file by email only, as it is not public.

Let me know if you want it.

Comment 18 Caolan McNamara 2013-11-22 15:35:01 UTC
caolanm->Karel: what do you mean by switching screens ?, switching vts ?, just switching workspaces, or adding/removing monitors ? I'm getting a crash here unfortunately.

caolanm->mvanross: sure, send me your one by email. Maybe it'll be a more obvious crash for me

Comment 19 Caolan McNamara 2013-11-25 14:04:29 UTC
Grr, frustrating. That example doesn't blow up for me either. And nothing suspicious in valgrind either.

Comment 20 Caolan McNamara 2013-11-25 14:11:41 UTC
Lets try my bodge in the wild and see if it helps

Comment 21 Fedora Update System 2013-11-28 09:29:35 UTC
libreoffice-4.1.3.2-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc20

Comment 22 Fedora Update System 2013-11-28 09:31:09 UTC
libreoffice-4.1.3.2-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc19

Comment 23 Karel Volný 2013-11-29 13:01:01 UTC
(In reply to Caolan McNamara from comment #18)
> caolanm->Karel: what do you mean by switching screens ?, switching vts ?,
> just switching workspaces, or adding/removing monitors ? I'm getting a crash
> here unfortunately.

I have external monitor connected to my laptop dock

the attached presentation opens fullscreen image on the monitor and some controls on the laptop; if I click "Zaměnit" (switch?), it crashes

Comment 24 Karel Volný 2013-11-29 14:05:39 UTC
(In reply to Fedora Update System from comment #22)
> libreoffice-4.1.3.2-8.fc19 has been submitted as an update for Fedora 19.
> https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc19

I'm not getting abrt popup any more, but now it just quits, which isn't exactly what it should do ... karma -1

Comment 25 Mark van Rossum 2013-11-29 14:16:39 UTC
(In reply to Karel Volný from comment #24)
> (In reply to Fedora Update System from comment #22)
> > libreoffice-4.1.3.2-8.fc19 has been submitted as an update for Fedora 19.
> > https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc19
> 
> I'm not getting abrt popup any more, but now it just quits, which isn't
> exactly what it should do ... karma -1

This might be compatible with Windows.

In Windows powerpoint a presentation can be set such that PP quits after the fullscreen presentation has been completed.

If you open the file using the file open dialogue, it does not quit.

Comment 26 Karel Volný 2013-11-29 14:27:12 UTC
(In reply to Mark van Rossum from comment #25)
> (In reply to Karel Volný from comment #24)
> > (In reply to Fedora Update System from comment #22)
> > > libreoffice-4.1.3.2-8.fc19 has been submitted as an update for Fedora 19.
> > > https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc19
> > 
> > I'm not getting abrt popup any more, but now it just quits, which isn't
> > exactly what it should do ... karma -1
> 
> This might be compatible with Windows.
> 
> In Windows powerpoint a presentation can be set such that PP quits after the
> fullscreen presentation has been completed.

but it is _not_ completed, I'm just switching the screens ...

> If you open the file using the file open dialogue, it does not quit.

well, it does quit in my case

btw, how do I open the file _without_ starting the presentation automatically?

I can't find such commandline option in `ooimpress --help`, nor when opening the file from the started application, there is no such checkbox or whatever in the file chooser?

or, alternatively, how do I end the presentation mode without quitting?

another bug/rfe material?

Comment 27 Mark van Rossum 2013-11-29 14:34:50 UTC
> btw, how do I open the file _without_ starting the presentation
> automatically?
> 
> I can't find such commandline option in `ooimpress --help`, nor when opening
> the file from the started application, there is no such checkbox or whatever
> in the file chooser?


I'm not an expert, but for PP you can find that info online.
I believe it is an option set in the file.

Comment 28 Fedora Update System 2013-11-29 16:04:22 UTC
Package libreoffice-4.1.3.2-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.3.2-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22404/libreoffice-4.1.3.2-8.fc20
then log in and leave karma (feedback).

Comment 29 Mark van Rossum 2013-11-29 21:37:37 UTC
The patch works for me! Great!

I now also have the problem that OO quits after the last slide.
This is however an OO  bug / 'feature', so we better report it there.

Comment 30 Karel Volný 2013-12-02 11:26:57 UTC
(In reply to Mark van Rossum from comment #27)
> I'm not an expert, but for PP you can find that info online.

if I could find it that easily, I wouldn't ask here if someone knows by any chance (Bugzilla is not a support forum ...)

> I believe it is an option set in the file.

the question is how to change that option if Impress does not allow me to edit the file?

(In reply to Mark van Rossum from comment #29)
> I now also have the problem that OO quits after the last slide.

my problem is _not_ that it'd quit after the last slide, it quits on first (or anywhere) when I try to switch screens

> This is however an OO  bug / 'feature', so we better report it there.

feel free to do so, but as we are dealing with downstream build, I guess it'd be nice to have it reported here to track the problem within Fedora packages - the upstream bug can be linked via the external tracker field pointing to the freedesktop bugzilla

Comment 31 Fedora Update System 2013-12-07 06:59:24 UTC
libreoffice-4.1.3.2-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2013-12-14 02:50:29 UTC
libreoffice-4.1.3.2-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2014-04-26 14:39:13 UTC
libreoffice-4.2.3.3-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.3.3-9.fc20

Comment 34 Fedora Update System 2014-04-29 05:21:58 UTC
libreoffice-4.2.3.3-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.